Name: evolution-rspam
Summary: Evolution Plugin for reporting spam
Version: 0.3.0
Release: 1%{?dist}
Group: Applications/Internet
License: GPLv2+
Source: http://gnome.eu.org/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://gnome.eu.org/evo/index.php/Report_as_Spam

Requires: perl-Razor-Agent
Requires: pyzor
Requires: evolution

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

BuildRequires: gettext, evolution-devel, perl(XML::Parser), intltool
BuildRequires: gnome-common, libtool

%description
Rspam Evolution Plugin enables Evolution Mail client to report email messages
as spam to checksum-based and statistical filtering networks.
It supports Razor network, DCC, SpamCop and Pyzor.
This plugins requires a pretty new version of evolution to build.
See README for more information about required programs.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name \*\.la -print | xargs rm -f
%find_lang rspam

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/rspam.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/rspam.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/rspam.schemas > /dev/null || :
fi

%files -f rspam.lang
%defattr(-,root,root,-)
%{_sysconfdir}/gconf/schemas/rspam.schemas
%{_datadir}/evolution/*/ui/*.ui
%{_libdir}/evolution/*/plugins/org-gnome-sa-rspam.eplug
%{_libdir}/evolution/*/plugins/liborg-gnome-sa-rspam.so
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc README
%doc TODO

%changelog
* Sat May 14 2011 Lucian Langa <cooly@gnome.eu.org> - 0.3.0-1
- new upstream release

* Mon May 02 2011 Lucian Langa <cooly@gnome.eu.org> - 0.2.0-3
- rebuild for newer evolution

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Lucian Langa <cooly@gnome.eu.org> - 0.2.0-1
- drop patch1 - fixed upstream
- new upstream release

* Mon Oct 11 2010 Milan Crha <mcrha@redhat.com> - 0.1.1-1
- update to 0.1.1 upstream release
- add patch to build against evolution-data-server 2.91.0

* Fri Jul 09 2010 Lucian Langa <cooly@gnome.eu.org> - 0.1.0-1
- new upstream release

* Fri Jul 02 2010 Lucian Langa <cooly@gnome.eu.org> - 0.0.99-3.20100702git
- update to latest git snapshot

* Wed Apr 28 2010 Lucian Langa <cooly@gnome.eu.org> - 0.0.99-2.20100428git
- update to latest git snapshot

* Wed Jan 06 2010 Lucian Langa <cooly@gnome.eu.org> - 0.0.99-1.20100106git
- update to latest git snapshot

* Thu Sep 03 2009 Lucian Langa <cooly@gnome.eu.org> - 0.0.10-1
- drop patch0 (fixed upstream)
- new upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 06 2009 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-3
- fix for bug #492319

* Fri Mar 20 2009 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-2
- update BR

* Tue Mar 17 2009 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-1
- update to 0.0.8 release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug 23 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.6-4
- fix for #458818

* Wed Jul 14 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.6-3
- misc cleanups

* Wed Jul 09 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.6-2
- package name change
- misc cleanups

* Tue Feb 12 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.6-1
- buildroot and url updates

* Sun Jan 27 2008 Lucian Langa <lucilanga@gnome.org>
- Updated to fedora build requires

* Tue Mar 13 2007 cooly <cooly@mips.edu.ms>
- Updated description

* Sun Feb 04 2007 root <root@mayday>
- Initial spec file created by autospec ver. 0.8 with rpm 3 compatibility
